|  | Home · All Classes · All Functions · Overviews

# QKbdDriverPlugin Class Reference
[QtGui module]

The QKbdDriverPlugin class is an abstract base class for keyboard driver plugins in Qt for Embedded Linux. More...

     #include <QKbdDriverPlugin>

Inherits QObject.

- List of all members, including inherited members

## Public Functions

| QKbdDriverPlugin ( QObject * parent = 0 )
| ~QKbdDriverPlugin ()

## Reimplemented Public Functions

virtual QWSKeyboardHandler * | create ( const QString & key, const QString & device ) = 0
virtual QStringList | keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QKbdDriverPlugin class is an abstract base class for keyboard driver plugins in Qt for Embedded Linux.

Note that this class is only available in Qt for Embedded Linux.

Qt for Embedded Linux provides ready-made drivers for several keyboard protocols, see the character input documentation for details. Custom keyboard drivers can be implemented by subclassing the QWSKeyboardHandler class and creating a keyboard driver plugin.

A keyboard driver plugin can be created by subclassing QKbdDriverPlugin and reimplementing the pure virtual keys() and create() functions. By exporting the derived class using the Q_EXPORT_PLUGIN2() macro, the default implementation of the QKbdDriverFactory class will automatically detect the plugin and load the driver into the server application at run-time. See How to Create Qt Plugins for details.

See also QKbdDriverFactory and QWSKeyboardHandler.

## Member Function Documentation

### QKbdDriverPlugin::QKbdDriverPlugin ( QObject * parent = 0 )

Constructs a keyboard driver plugin with the given parent.

Note that this constructor is invoked automatically by the Q_EXPORT_PLUGIN2() macro, so there is no need for calling it explicitly.

### QKbdDriverPlugin::~QKbdDriverPlugin ()

Destroys the keyboard driver plugin.

Note that Qt destroys a plugin automatically when it is no longer used, so there is no need for calling the destructor explicitly.

### QWSKeyboardHandler * QKbdDriverPlugin::create ( const QString & key, const QString & device ) `[pure virtual]`

Implement this function to create a driver matching the type specified by the given key and device parameters. Note that keys are case-insensitive.

See also keys().

### QStringList QKbdDriverPlugin::keys () const `[pure virtual]`

Implement this function to return the list of valid keys, i.e. the keyboard drivers supported by this plugin.

Qt for Embedded Linux provides ready-made drivers for several keyboard protocols, see the character input documentation for details.

See also create().